.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding-top: rem(12);
    padding-bottom: rem(42);
}

.index-group {
    display: grid;
    grid-row-gap: rem(12);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(md) {}
    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    @include media-breakpoint-up(xxl) {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr ;
    }
}

.index-item {
    padding: rem(20);
    color: var(--black);
    font-size: rem(16);
    line-height: rem(20);
    border-radius: rem(5);
    text-decoration: none;
    border: 1px solid #E5E5E5;
    display: flex;
    row-gap: rem(18);
    flex-direction: column;
    justify-content: space-between;
    transition: var(--transition-time);

    &:hover {
        color: var(--black);
        text-decoration: none;
        border-color: #F8F8F8;
        background-color: #F8F8F8;
        transition: var(--transition-time);
    }

    &__content {
        display: flex;
        column-gap: rem(10);
        align-items: center;
    }

    &__period {
        font-size: rem(12);
        display: flex;
        align-items: center;
        position: relative;
        column-gap: rem(4);

        &:after {
            content: '';
            width: 16px;
            height: 16px;
            position: relative;
            background: url("../img/down-arrow.png") 50% 50% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(md) {
        row-gap: rem(14);
        font-size: rem(20);
        line-height: rem(24);
        padding: rem(24) rem(10) rem(24) rem(30);

        &__period {
            top: 2px;
            font-size: rem(16);
            list-style: rem(16);

            &:after {
                top: -2px;
            }
        }
    }
}

.section {

    &--bottom {
        margin-bottom: rem(60);
    }

    &--last {
        margin-bottom: rem(30);
    }

    &__header {
        text-align: center;
        margin-bottom: rem(30);
    }

    &__title {
        text-transform: uppercase;
        margin-bottom: rem(10);
    }

    &__subtitle {
        font-weight: 300;
        font-size: rem(16);
        line-height: rem(28);
    }

    @include media-breakpoint-up(md) {

        &--bottom {
            margin-bottom: rem(100);
        }

        &__header {
            margin-bottom: rem(45);
        }

        &__subtitle {
            font-size: rem(18);
            line-height: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {

        &--bottom {
            margin-bottom: rem(134);
        }

        &--last {
            margin-bottom: rem(100);
        }

        &__subtitle {
            font-size: rem(22);
            line-height: rem(37);
        }
    }
}

.informer-group {
    //display: grid;
    //grid-row-gap: rem(12);
    //grid-column-gap: rem(12);
    //grid-template-columns: 1fr;
    display: flex;
    flex-direction: column;
    row-gap: rem(12);
    margin-bottom: rem(20);

    @include media-breakpoint-up(lg) {
        flex-direction: row;
        column-gap: 12px;
    }
}

.informer {
    padding: rem(20);
    border-radius: rem(5);
    border: 1px solid #E5E5E5;

    &--chart {
        padding: rem(20) 0 0 0;
    }

    &__title {
        text-align: center;
        font-size: rem(16);
        line-height: rem(20);
        margin-bottom: rem(16);
    }

    &__header {
        padding: 0 rem(20);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        row-gap: rem(10);
        column-gap: rem(30);
        margin-bottom: rem(10);
    }

    &__legend {
        white-space: nowrap;
        display: flex;
        align-items: center;
        font-size: rem(16);
        line-height: rem(20);
        column-gap: rem(10);
    }

    &__point {
        width: rem(10);
        height: rem(10);
        flex-shrink: 0;
        border-radius: 50%;
    }

    &__progress {
        max-width: rem(330);
        margin: 0 auto rem(30) auto;
    }

    &__content {
        font-size: rem(16);
        line-height: rem(20);
        text-align: center;
        display: flex;
        justify-content: center;
        column-gap: rem(20);
    }

    &__divider {
        width: 1px;
        flex-shrink: 0;
        background-color: #E5E5E5;
    }

    &__values {
        padding: rem(8) 0;
        display: flex;
        row-gap: rem(16);
        flex-direction: column;
    }

    @include media-breakpoint-up(lg) {
        flex-shrink: 0;
        width: calc(33.33% - 6px);
    }

    @include media-breakpoint-up(xl) {
        padding: rem(24);

        &--chart {
            padding: rem(24) 0 0 0;
        }

        &__header {
            padding: 0 rem(24);
        }

        &__legend {
            font-size: rem(18);
            line-height: rem(24);
        }

        &__title {
            font-size: rem(18);
            line-height: rem(24);
        }

        &__content {
            font-size: rem(18);
            line-height: rem(24);
            column-gap: rem(30);
        }
    }
}

.progress-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: rem(20);

    &__line {
        flex-grow: 1;
        height: rem(16);
        overflow: hidden;
        position: relative;
        border-radius: rem(5);

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            position: absolute;
            border-radius: rem(5);
            border: 1px solid #E5E5E5;
        }
    }

    &__indicator {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 10;
        border-radius: rem(5);
        position: absolute;
        background-color: rgba(125, 210, 103, 0.72);
    }

    &__value {
        color: var(--gray);
        white-space: nowrap;
        font-size: rem(16);
        line-height: rem(20);
    }
}

.heading {
    text-align: center;
    margin-bottom: rem(40);

    &__title {
    }

    &__links {
        margin-top: rem(30);
        font-size: rem(16);
        line-height: rem(24);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        column-gap: rem(20);
        justify-content: center;
    }

    &__link {
        color: black;
        text-decoration: none;
        display: inline-block;
        transition: var(--transition-time);

        &:hover {
            color: var(--red);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }
}

.card {
    color: #222;
    padding: rem(20);
    border: 1px solid #E5E5E5;

    &__text {
        font-size: rem(16);
        line-height: rem(35);
    }

    &__nav {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: rem(16);
        line-height: rem(24);
        display: flex;
        row-gap: rem(20);
        flex-direction: column;

        a {
            color: #222;
            text-decoration: none;

            &:hover {
                color: #222;
                text-decoration: underline;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(30) rem(40);
    }
}

.main-row {
    display: flex;
    row-gap: rem(40);
    flex-direction: column;

    @include media-breakpoint-up(xl) {
        column-gap: rem(66);
        flex-direction: row;
        justify-content: space-between;
    }
}

.main-content {

    @include media-breakpoint-up(xl) {
        width: calc(100% - 424px)
    }
}

.main-aside {

    @include media-breakpoint-up(xl) {
        width: rem(358);
    }
}

.btn-aside {
    width: 100%;
    max-width: rem(400);
}

.data-heading {
    display: flex;
    align-items: center;
    flex-direction: column;
    row-gap: rem(20);
    margin-bottom: rem(40);

    &__tabs {
        display: flex;
        column-gap: rem(20);
    }

    &__control {
        padding: 0;
        border: none;
        outline: none;
        color: black;
        cursor: pointer;
        font-size: rem(20);
        line-height: rem(24);
        text-decoration: none;
        background: transparent;

        &.active {
            color: rgba(207, 0, 0, 1);
        }
    }

    &__title {
        margin: 0;
        font-size: rem(20);
        line-height: rem(24);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(80);
        flex-direction: row;
        justify-content: space-between;

        &--switcher {
            justify-content: flex-end;
        }

        &__control {
            font-size: rem(24);
            line-height: rem(29);
        }

        &__title {
            font-size: rem(24);
            line-height: rem(29);
        }
    }
}

.data-chart {
    width: 100%;
}

.data-section {
    margin-bottom: rem(80);

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(120);
    }
}

.switcher {
    display: flex;
    align-items: center;

    &__item {
        color: black;
        height: rem(32);
        min-width: rem(50);
        cursor: pointer;
        padding: rem(4) rem(8);
        background: transparent;
        border: 1px solid #acacac;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: var(--transition-time);

        &:hover {
            color: black;
            text-decoration: none;
            background-color: #E5E5E5;
        }

        &.active {
            background-color: #E5E5E5;
        }

        &:first-child {
            border-radius: 5px 0 0 5px;
        }

        &:last-child {
            border-radius: 0 5px 5px 0;
        }

        &:not(:last-child) {
            border-right: none;
        }

        &:hover {

        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
